%define name gjs
%define version 0.7.14
%define release %mkrel 2
%define api 1.0
%define major 0
%define major_ver 0.7
%define libname %mklibname %name %major
%define develname %mklibname -d %name

%if %{?xulrunner_libname:0}%{?!xulrunner_libname:1}
%define xulrunner_libname libxulrunner
%define xulrunner_version 1.9
%endif

Summary: JavaScript bindings based on gobject-introspection
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://ftp.gnome.org/pub/GNOME/sources/%name/%{major_ver}/%{name}-%{version}.tar.bz2
Patch0: gjs-0.7.13-fix-linking.patch
License: BSD
Group: Development/Other
Url:  http://live.gnome.org/Gjs
BuildRequires: xulrunner-devel >= 1.9.2
BuildRequires: gobject-introspection-devel >= 0.10.1
BuildRequires: dbus-glib-devel
BuildRequires: libreadline-devel

%description
This package contains JavaScript bindings based on gobject-introspection.

%package -n %libname
Group:System/Libraries
Summary:JavaScript bindings based on gobject-introspection
Requires: %xulrunner_libname

%description -n %libname
This package contains JavaScript bindings based on gobject-introspection.

%package -n %develname
Group:Development/C
Summary:JavaScript bindings based on gobject-introspection
Requires: %libname = %version-%release
Provides: %name-devel = %version-%release
Provides: lib%name-devel = %version-%release
Requires: xulrunner-devel = %xulrunner_version

%description -n %develname
This package contains JavaScript bindings based on gobject-introspection.

%prep
%setup -q
%patch0 -p1

%build
%configure2_5x
%make libregress_la_LIBADD=-lgio-2.0

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README COPYING NEWS
%_bindir/gjs
%_bindir/gjs-console
%_datadir/%name-%api

%files -n %libname
%defattr(-,root,root)
%_libdir/libgjs-dbus.so.%{major}*
%_libdir/libgjs-gi.so.%{major}*
%_libdir/libgjs.so.%{major}*
%_libdir/gjs-%api

%files -n %develname
%defattr(-,root,root)
%_libdir/libgjs-dbus.so
%_libdir/libgjs-gi.so
%_libdir/libgjs.so
%_libdir/libgjs*.la
%_libdir/pkgconfig/gjs-%api.pc
%_libdir/pkgconfig/gjs-dbus-%api.pc
%_libdir/pkgconfig/gjs-gi-%api.pc
%_libdir/pkgconfig/gjs-internals-%api.pc
%_includedir/gjs-%api


%changelog
* Sat Apr 30 2011 ahmad <ahmad> 0.7.14-2.mga1
+ Revision: 93754
- rebuild for xulrunner-2.0.1

* Wed Apr 20 2011 pterjan <pterjan> 0.7.14-1.mga1
+ Revision: 89161
- Update to 0.7.14

* Sun Mar 27 2011 ahmad <ahmad> 0.7.13-4.mga1
+ Revision: 78095
- sync with Mandriva:
  o drop format-strings patch, BR libreadline-devel fixes the issue
  o add a linking patch

* Thu Mar 24 2011 boklm <boklm> 0.7.13-3.mga1
+ Revision: 76143
- rebuild for bug #497

* Wed Mar 16 2011 ahmad <ahmad> 0.7.13-2.mga1
+ Revision: 72645
- add the string format patch back, it fails to build on the BS even though it
  builds locally without that patch...
- update to 0.7.13
- drop patch, compiles ok without it
- bump BR gobject-introspection-devel version

  + tv <tv>
    - rebuild for new gir

  + ennael <ennael>
    - imported package gjs


* Mon Nov 15 2010 Götz Waschk <waschk@mandriva.org> 0.7.7-1mdv2011.0
+ Revision: 597754
- update to new version 0.7.7
- update to new version 0.7.6

* Thu Oct 28 2010 Götz Waschk <waschk@mandriva.org> 0.7.5-1mdv2011.0
+ Revision: 589698
- new version
- update file list

* Tue Oct 05 2010 Götz Waschk <waschk@mandriva.org> 0.7.4-1mdv2011.0
+ Revision: 583086
- update to new version 0.7.4

* Fri Oct 01 2010 Götz Waschk <waschk@mandriva.org> 0.7.3-1mdv2011.0
+ Revision: 582395
- new version
- drop patch 1

  + Funda Wang <fwang@mandriva.org>
    - partial patch to build with xulrunner 2.0

* Fri Jul 30 2010 Götz Waschk <waschk@mandriva.org> 0.7.1-1mdv2011.0
+ Revision: 563574
- new version

* Tue Jul 27 2010 Funda Wang <fwang@mandriva.org> 0.6-5mdv2011.0
+ Revision: 561173
- rebuild for xulrunner 1.9.2.8

* Mon Jun 28 2010 Frederic Crozat <fcrozat@mandriva.com> 0.6-4mdv2010.1
+ Revision: 549369
- rebuild with latest xulrunner

* Sun Apr 04 2010 Funda Wang <fwang@mandriva.org> 0.6-3mdv2010.1
+ Revision: 531047
- rebuild for new xulrunner

* Wed Mar 24 2010 Götz Waschk <waschk@mandriva.org> 0.6-2mdv2010.1
+ Revision: 527072
- rebuild for new xulrunner

* Thu Mar 18 2010 Götz Waschk <waschk@mandriva.org> 0.6-1mdv2010.1
+ Revision: 525126
- update to new version 0.6

* Tue Feb 16 2010 Götz Waschk <waschk@mandriva.org> 0.5-1mdv2010.1
+ Revision: 506437
- new version
- drop patch 1

* Sun Jan 10 2010 Götz Waschk <waschk@mandriva.org> 0.4-6mdv2010.1
+ Revision: 488680
- rebuild for new xulrunner

* Fri Jan 01 2010 Götz Waschk <waschk@mandriva.org> 0.4-5mdv2010.1
+ Revision: 484664
- fix build with new xulrunner

* Wed Dec 16 2009 Götz Waschk <waschk@mandriva.org> 0.4-4mdv2010.1
+ Revision: 479218
- rebuild for new xulrunner

* Fri Nov 06 2009 Funda Wang <fwang@mandriva.org> 0.4-3mdv2010.1
+ Revision: 460639
- rebuild for new xulrunner

* Wed Sep 16 2009 Götz Waschk <waschk@mandriva.org> 0.4-2mdv2010.0
+ Revision: 443445
- add explicit versioned xulrunner dep
- rebuild for new xulrunner

* Wed Aug 26 2009 Götz Waschk <waschk@mandriva.org> 0.4-1mdv2010.0
+ Revision: 421331
- new version
- update file list

* Sun Jul 05 2009 Götz Waschk <waschk@mandriva.org> 0.3-1mdv2010.0
+ Revision: 392671
- fix format string
- new version
- fix source URL
- add dbus binding
- drop patch

* Thu Jan 22 2009 Götz Waschk <waschk@mandriva.org> 0.2-2mdv2009.1
+ Revision: 332448
- rebuild

* Wed Nov 12 2008 Götz Waschk <waschk@mandriva.org> 0.2-1mdv2009.1
+ Revision: 302494
- import gjs


